#
# spec file for package LCDproc (Version 0.5.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
%define _default_patch_fuzz 3

Name:           LCDproc
%define tarname  lcdproc
%if 0%?mandriva_version
BuildRequires:  libusb libxorg-x11-devel lirc lirc-devel ncurses-devel xosd-devel
%endif
%if 0%?fedora_version
BuildRequires:  libusb lirc lirc-devel ncurses-devel xorg-x11-devel xosd-devel
%endif
%if 0%?suse_version
BuildRequires:  libusb lirc ncurses-devel xorg-x11-devel xorg-x11-libXext-devel xorg-x11-libXt-devel xosd-devel libserdisp-devel syslog
%if 0%?suse_version > 1110
BuildRequires:  lirc-devel
%endif
%endif
Summary:        Daemon capable of showing info on LCD displays
Group:          Hardware/Other
Version:        0.5.5
Release:        4.10
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://lcdproc.omnipotent.net
Source:         %{tarname}-%{version}.tar.bz2
Source1:        LCDd
Patch1:         lcdproc-fix-return.diff
Patch2:         lcdproc-add-serdisplib-%{version}
Requires:       ncurses

%description
LCDproc is a piece of software that displays real-time system
information from your Linux/*BSD box on a LCD.



Authors:
--------
    William Ferrell (Choadstre) <willfe@yahoo.com>

%prep
%setup -n lcdproc-%{version}
%patch1 -p1
%patch2 -p1
sed -e "s#\(DriverPath\)=.*#\1=%{_libdir}/lcdproc/#" LCDd.conf > LCDd.conf.tmp
mv LCDd.conf.tmp LCDd.conf

%build
#autoreconf
%configure --enable-libusb --enable-stat-nfs --enable-lcdproc-menus --enable-stat-smbfs --enable-drivers=all
make %{?jobs:-j%jobs}

%install
%makeinstall
# init script
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -c -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d

%post
%{fillup_and_insserv -n LCDd LCDd}

%preun
echo "Stopping LCDd ..."
%stop_on_removal LCDd
true   # ignore errors

%postun
%restart_on_update LCDd
%insserv_cleanup

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_mandir}/man?/*.*
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/lcdproc
%exclude %{_libdir}/lcdproc/lirc.so
%exclude %{_libdir}/lcdproc/xosd.so
%config %{_sysconfdir}/init.d/*
%config %{_sysconfdir}/*.conf

%package lirc
Summary:        Infrared driver for LCDproc
Group:          Hardware/Other
Requires:       %{name} = %{version} lirc

%description lirc
This driver allows LCDproc to display on devices connected by infrared
port.



Authors:
--------
    William Ferrell (Choadstre) <willfe@yahoo.com>





%files lirc
%defattr(-, root, root)
%{_libdir}/lcdproc/lirc.so
%package xosd
Summary:        XOsd driver for LCDproc
Group:          Hardware/Other
Requires:       %{name} = %{version} xosd xorg-x11-libXt xorg-x11-libXext xorg-x11

%description xosd
Driver for LCDproc allowing it to use X On-Screen Display as its output
device.



Authors:
--------
    William Ferrell (Choadstre) <willfe@yahoo.com>





%files xosd
%defattr(-, root, root)
%{_libdir}/lcdproc/xosd.so

%changelog
* Sat Jul 21 2012 cs@linux-administrator.com
- Update to v0.5.5
- Update lcdproc-add-serdisplib for 0.5.5
* Sun Mar 27 2011 cs@linux-administrator.com
- Update to v0.5.4
- Update lcdproc-add-serdisplib for 0.5.4
* Tue Dec 29 2009 bernhard@bwalle.de
- Update to v0.5.3.
- Remove snprintf-GPL.diff: Upstream.
- Update lcdproc-add-serdisplib for 0.5.3.
- Add lcdproc-fix-return.diff to fix rpmlint build errors.
* Thu Dec 10 2009 bernhard@bwalle.de
- Add 'lirc-devel' as BuildRequires to fix build on openSUSE 11.2
  and later.
* Sat Oct 25 2008 bwalle@suse.de
- Don't include /etc/init.d to file list since it's already in
  filesystem RPM.
- Add "$remote_fs" dependency in init script since LCDd needs files
  in /usr.
* Sat Aug  2 2008 bwalle@suse.de
- remove graphlcd dependency
- remove libftdi dependency
* Mon Aug 13 2007 bwalle@suse.de
- fixed build on Factory (autoreconf needed due to patch for
  serdisplib)
* Sat Jun 30 2007 bwalle@suse.de
- add serdisplib driver (not mainline yet)
* Fri Apr 27 2007 bwalle@suse.de
- updated to v0.5.2
  o updated & extended documentation
  o various fixes to the server core
  o init-script templates for LSB 3.x conforming systems
  o new drivers: serialPOS, ea65, picolcd, hd44780/pertelian,
    hd44780/lcd2usb, hd44780/vdr-wakeup, sed1330/SP14Q002
  o updated drivers: iMon, ula200, g15, MtxOrb, CFontz, CwLnx,
    serialVFD, hd44780
  o updated clients:
  * lcdproc: ged rid of more global variables, fix Disk screen,
    Credit contributors in About screen, support Iface and
    ProcSize screens for OS X / Darwin, allow switching on/off
    Load screen using menu
  * lcdexec: try harder to find a shell
  o updated build environment:
  * allow compiling with LDFLAG "--as-needed"
  * remove compile-time option to read configuration from LDAP
* Mon Apr  2 2007 bwalle@suse.de
- removed lirc-kernel dependency
* Sun Apr  1 2007 bwalle@suse.de
- added init script
* Tue Mar 27 2007 bwalle@suse.de
- added graphlcd-devel and libftdi to BuildRequires
* Wed Mar 14 2007 jw@suse.de
- updated snprintf.c
  2.2 was GPL incompatible, 2.3 now is dual licensed with GPL.
* Tue Mar 13 2007 ro@suse.de
- fix filelist (do not try to package debuginfo in main package)
* Wed Feb 28 2007 mvaner@suse.cz
- Creating the first version of package (version 0.5.1)
